ata_data_xfer_noirq
Prev | Chapter 4. libata Library | Next

## Name

ata_data_xfer_noirq — Transfer data by PIO

## Synopsis

`void ata_data_xfer_noirq (` | struct ata_device * | adev,
| unsigned char * | buf,
| unsigned int | buflen,
| int | write_data`)`;

## Arguments

`adev`

  device to target

`buf`

  data buffer

`buflen`

  buffer length

`write_data`

  read/write

## Description

Transfer data from/to the device data register by PIO. Do the transfer with interrupts disabled.

## LOCKING

Inherited from caller.

Prev | Up | Next
ata_data_xfer | Home | ata_hsm_move